summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEdison Ibáñez2019-03-06 16:25:54 -0500
committerEdison Ibáñez2019-03-06 16:25:54 -0500
commitddc8293d2f9b3540d50a170c643ff681750b4a86 (patch)
tree631e293701cd25041bc66aadc1bc8dbf32f75115
downloadaur-format-sql.tar.gz
Init
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD25
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..71faec65ad3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = format-sql
+ pkgdesc = Makes your SQL readable.
+ pkgver = 0.12.0
+ pkgrel = 1
+ url = https://github.com/paetzke/format-sql
+ arch = any
+ license = BSD
+ makedepends = python
+ depends = python
+ depends = python-attrs
+ conflicts = python--git
+ source = https://github.com/paetzke/format-sql/archive/v0.12.0.tar.gz
+ md5sums = 65fde3b80da1bd4063e2196676620535
+
+pkgname = format-sql
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..06e4948d842
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: arkhan <arkhan@disroot.org>
+pkgname=format-sql
+pkgver=0.12.0
+pkgrel=1
+pkgdesc="Makes your SQL readable."
+arch=('any')
+license=('BSD')
+depends=("python" "python-attrs")
+makedepends=("python")
+conflicts=("python-${_pkgname}-git")
+url='https://github.com/paetzke/format-sql'
+source=("https://github.com/paetzke/$pkgname/archive/v$pkgver.tar.gz")
+md5sums=('65fde3b80da1bd4063e2196676620535')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ python setup.py build
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ python setup.py install --prefix=/usr --root "${pkgdir}" || return 1
+}
+
+# vim:set ts=2 sw=2 et: